### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-inpage-navigation/ecl-inpage-navigation.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-inpage-navigation`
styles | `@media (min-width: 996px) { .ecl-inpage-navigation__list { display: block !important; } }`
templateUrl | `./ecl-inpage-navigation.component.html`

### Index

###### Properties

- currentSectionElement
- eclNavigationLinkItems
- isButtonExpanded

###### Methods

- onExpandButtonClick
- getCssClasses

###### Inputs

- eclTitle
- class
- e2eAttr

###### Outputs

- sectionEnter

###### Accessors

- currentNavigationLinkItem

### Inputs

eclTitle
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

sectionEnter
Type : `EventEmitter`

### Methods

onExpandButtonClick
`onExpandButtonClick(evt)`

Parameters :

Name | Optional
evt | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

currentSectionElement
Type : `HTMLElement`

eclNavigationLinkItems
Type : `QueryList<EclInpageNavigationItemComponent>`
Decorators : `@ContentChildren(EclInpageNavigationItemComponent)`

isButtonExpanded
Type : `boolean`
Default value : `false`

### Accessors

currentNavigationLinkItem
get `currentNavigationLinkItem()`

# results matching ""

# No results matching ""